Rensei docs
API ReferenceWorker Protocol

ACK inbox message (Redis XACK)

ACK inbox message (Redis XACK) - Rensei REST API operation reference.

POST
/api/sessions/{id}/inbox/ack

Authorization

headerAuthorizationBearer <JWT>

Short-lived worker runtime JWT minted by the platform. Claims bind the worker, project, organization, registration, and scopes.

Path Parameters

id*string

Request Body

application/json
  1. body
messageId*string
lane*string
Value in"urgent""normal"

Response Body

Message acknowledged.

application/json
  1. response
acknowledged?boolean
Example Request
curl -X POST 'https://app.rensei.ai/api/sessions/string/inbox/ack' \  -H 'Content-Type: application/json' \  -d '{  "messageId": "string",  "lane": "urgent"}'
Example Response
{  "acknowledged": true}